[Ubuntu-BR] Ubuntu 7.10 server - `sudo' contém nome de arquivo vazio

Will ff9will em gmail.com
Quinta Outubro 18 20:35:35 UTC 2007


O problema pode estar no dpkg ou até mesmo no wget (já aconteceu comigo).
Tive que procurar os arquivos de configuração para ver se havia algum erro.
Dependendo do erro, se puder ser corrigido pelo arquivo de configuração tudo
bem, mas se se o erro persistir é recomendável reinstalar o dpkg e o wget
(compilando).

Não sei se esse é o seu problema, mas não custa tentar. (para garantir faça
um backup dos arquivos instalados desses pacotes, para caso não consiga
reinstalar o dpkg e o wget).

Qualquer coisa tente o chat IRC do Ubuntu-br.

Boa sorte!
______________________________________________________________________________________

Em 18/10/07, Leonardo Rosa <grupos.leonardo em gmail.com> escreveu:
>
> Essa máquina não é um servidor em produção, corporativo, é meu notebook
> que
> uso com aplicativos pra gerenciar minha vida profissional.
> Não teria problema nenhum em reinstalá-lo, só gostaria que alguém me
> explicasse como resolver isso sem ter que fazer uma nova instalação.
> tenho serviços como apache, postgres, mysql, aplicativo pra EAD, wiki
> entre
> outras coisas, mas pra meu uso profissional, pra organizar as informações
> e
> até mesmo, pra testar serviços que poderia implementar num servidor
> empresarial mesmo.
> Será que ninguém que administra o ubuntu.org saberia resolver?
> [ ]ão
>
> On 10/18/07, Will <ff9will em gmail.com> wrote:
> >
> > Por isso é que é sempre recomendado para servidores as versões LTS que
> são
> > mais voltadas para o meio corporativo. A próxima versão LTS é a Hardy
> > Heron
> > 8.04 (04/2008).
> > O 6.06 ainda atende muito bem as necessidades do CEFET-ES , ainda mais
> > porque teve mais tempo para serem corrigidas suas falhas.
> >
> > Sem soluções mas com recomendações, espero ter ajudado.
> >
> >
> _______________________________________________________________________________________
> >
> > Em 18/10/07, Leonardo Rosa <grupos.leonardo em gmail.com> escreveu:
> > >
> > > Olá Milton, obrigado por responder.
> > > A questão é que eu já tentei de tudo que eu sabia e que já me disseram
> > pra
> > > fazer, assim como o seu exemplo.
> > > Leia só como fica:
> > >
> > > aptitude -f install
> > >
> > > Lendo lista de pacotes... Pronto
> > > Construindo árvore de dependências
> > > Reading state information... Pronto
> > > Lendo informações estendidas de estado
> > > Inicializando estados de pacotes... Pronto
> > > Construindo a base de dados... Pronto
> > > Os pacotes a seguir foram automaticamente mantidos:
> > >   akregator amor apache2-mpm-prefork apache2-utils  . . . . . . . . .
> .
> > .
> > > .
> > > . . . etc de pacotes...
> > >
> > > Os NOVOS pacotes a seguir serão instalados:
> > >   bioperl bittorrent-gui blast2 dbconfig-common dpkg-dev . . . . . . .
> .
> > .
> > > .
> > > . . . . . etc de pacotes...
> > >
> > > 0 pacotes atualizados, 52 novos instalados, 0 a serem removidos e 978
> > não
> > > atualizados.
> > > É preciso obter 0B/28,5MB de arquivos. Depois do desempacotamento,
> 141MB
> > > serão usados.
> > > Você deseja continuar? [S/n/?] y
> > > AVISO : versões não confiáveis dos seguintes pacotes serão instaladas
> !
> > >
> > > Pacotes não confiáveis podem comprometer a segurança de seu sistema.
> > > Você deveria prosseguir com a instalação somente caso esteja certo de
> > > que isso é realmente o que você deseja fazer.
> > > libconvert-binhex-perl libsoap-lite-perl . . . . . . . . . . . . . . .
> > etc
> > > de pacotes...
> > >
> > > Você deseja ignorar esse aviso e continuar mesmo assim ?
> > > Para continuar, digite "Sim"; para abortar, "Não": Sim
> > >
> > > Extraíndo templates de pacotes : 100%
> > > Pré-configurando pacotes ...
> > > (Lendo banco de dados ... dpkg: erro processando
> > > /var/cache/apt/archives/ncbi-data_6.1.20061015-2ubuntu1_all.deb
> > > (--unpack):
> > > arquivo com lista de arquivos do pacote `sudo' contém nome de arquivo
> > > vazio
> > > Erros foram encontrados durante processamento de:
> > > /var/cache/apt/archives/ncbi-data_6.1.20061015-2ubuntu1_all.deb
> > > Processamento parou porque haviam muitos erros.
> > > E: Sub-process /usr/bin/dpkg returned an error code (1)
> > > A instalação de um pacote falhou. Tentando recuperar :
> > > Lendo lista de pacotes... Pronto
> > > Construindo árvore de dependências
> > > Reading state information... Pronto
> > > Lendo informações estendidas de estado
> > > Inicializando estados de pacotes... Pronto
> > > Construindo a base de dados... Pronto
> > >
> > > OBS.: onde aparece ". . . . . . . . . . . . . . . etc de pacotes..."
> > leia
> > > muitos outros pacotes listados.
> > >
> > > Antes, dava problema no pacote base-files_4.0.0ubuntu5_i386.deb, agora
> é
> > > no
> > > ncbi-data_6.1.20061015-2ubuntu1_all.deb. Já tentei instalar via dpkg,
> > mas
> > > dá
> > > erro também.
> > >
> > > Novamente eu pergunto, se alguém puder ajudar, agradeço e muito....
> > > Milton, obrigadaço mesmo cara, se tiver alguma outra idéia, não exite,
> > > pode
> > > mandar.
> > > Até +.
> > >
> > > On 10/17/07, Milton Peres <milton.peres em gmail.com> wrote:
> > > >
> > > > Olá!
> > > > dê um:
> > > > sudo apt-get -f install
> > > >
> > > > Milton Peres
> > > >
> > > >
> > > > Leonardo Rosa escreveu:
> > > > > Olá a todos da lista.
> > > > > Postei este erro numa outra lista, mas não obtive resposta
> > suficiente
> > > > para
> > > > > resolver.
> > > > > Fiz o que muitos disseram, que era para trocar repositórios e até
> > > agora
> > > > nada
> > > > > de resolver.
> > > > > O problema é que atualizo minha lista de pacotes e quando rodo o
> > > > aptitude
> > > > > safe-upgrade ele baixa todos os pacotes e na hora de fazer a
> > > > atualização, dá
> > > > > o erro abaixo.
> > > > >
> > > > > Pré-configurando pacotes ...
> > > > > (Lendo banco de dados ... dpkg: erro processando
> > > > > /var/cache/apt/archives/base-files_4.0.0ubuntu5_i386.deb
> (--unpack):
> > > > >  arquivo com lista de arquivos do pacote `sudo' contém nome de
> > arquivo
> > > > vazio
> > > > > Erros foram encontrados durante processamento de:
> > > > >  /var/cache/apt/archives/base-files_4.0.0ubuntu5_i386.deb
> > > > > Processamento parou porque haviam muitos erros.
> > > > > E: Sub-process /usr/bin/dpkg returned an error code (1)
> > > > > A instalação de um pacote falhou. Tentando recuperar :
> > > > > Lendo lista de pacotes... Pronto
> > > > > Construindo árvore de dependências
> > > > > Reading state information... Pronto
> > > > > Lendo informações estendidas de estado
> > > > > Inicializando estados de pacotes... Pronto
> > > > > Construindo a base de dados... Pronto
> > > > >
> > > > > A questão é que já fiz isso várias vezes e acabo tendo que
> conviver
> > > com
> > > > o
> > > > > download de +de 500MB toca vez que tento mudar o recurso pra
> tentar
> > > > > resolver.
> > > > > A última que li foi que disseram pra eu desinstalar o pacote, mas
> > > tendo
> > > > em
> > > > > vista que é uma pacote essencial e requerido pelo sistema, acho
> que
> > se
> > > > fizer
> > > > > isso pode ser pior.
> > > > > por outro lado, me disseram para fechar o olho e forçar a
> > instalação.
> > > A
> > > > > primeira e única (última) vez que eu fiz isso, um servidor meu
> ficou
> > > > fora do
> > > > > ar e penei pra resolver.
> > > > > Pergunto eu, (Mario ou outro) como eu poderei resolver isso?
> > > > >
> > > > > Estou postando configuração atual.
> > > > > Kernel: 2.6.22-6-generic
> > > > >
> > > > > sources.list:
> > > > > # Automatically generated sources.list
> > > > > # http://www.ubuntu-nl.org/source-o-matic/
> > > > > #
> > > > > # If you get GPG errors with this sources.list, locate the GPG key
> > in
> > > > this
> > > > > file
> > > > > # and run these commands (where KEY is replaced with that key)
> > > > > #
> > > > > # gpg --keyserver hkp://subkeys.pgp.net --recv-keys KEY
> > > > > # gpg --export --armor KEY | sudo apt-key add -
> > > > > #
> > > > > # If you don't know what to do with this file, read
> > > > > # https://help.ubuntu.com/community/Repositories/CommandLine
> > > > >
> > > > > # Ubuntu supported packages
> > > > > # GPG key: 437D05B5
> > > > > deb http://br.archive.ubuntu.com/ubuntu gutsy main restricted
> > > > > deb http://us.archive.ubuntu.com/ubuntu gutsy-updates main
> > restricted
> > > > > #deb http://security.ubuntu.com/ubuntu gutsy-security main
> > restricted
> > > > >
> > > > > # Ubuntu community supported packages
> > > > > # GPG key: 437D05B5
> > > > > deb http://br.archive.ubuntu.com/ubuntu gutsy universe multiverse
> > > > > deb http://br.archive.ubuntu.com/ubuntu gutsy-updates universe
> > > > multiverse
> > > > > #deb http://security.ubuntu.com/ubuntu gutsy-security universe
> > > > multiverse
> > > > >
> > > > > [ ]ão e no aguardo.
> > > > >
> > > >
> > > > --
> > > > Interessado em aprender mais sobre o Ubuntu em português?
> > > > http://wiki.ubuntu-br.org/ComeceAqui  -
> > > > ubuntu-br mailing list
> > > > ubuntu-br em lists.ubuntu.com
> > > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
> > > >
> > >
> > >
> > >
> > > --
> > > Leonardo Rosa
> > > PiraíDigital - Depto Softwares Livres
> > > Tutor - Informática (Bio Mat Adm)
> > > Universidade Federal Fluminense
> > > Linux User #425466 (counter.li.org)
> > > Debian GNU/Linux
> > > --
> > > Interessado em aprender mais sobre o Ubuntu em português?
> > > http://wiki.ubuntu-br.org/ComeceAqui  -
> > > ubuntu-br mailing list
> > > ubuntu-br em lists.ubuntu.com
> > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
> > >
> >
> >
> >
> > --
> > Williams - ff9will em gmail.com
> > Visite meu blog - http://omnixonline.blogspot.com
> > Omnix, O Ubuntu brasileiro
> > --
> > Interessado em aprender mais sobre o Ubuntu em português?
> > http://wiki.ubuntu-br.org/ComeceAqui  -
> > ubuntu-br mailing list
> > ubuntu-br em lists.ubuntu.com
> > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
> >
>
>
>
> --
> Leonardo Rosa
> PiraíDigital - Depto Softwares Livres
> Tutor - Informática (Bio Mat Adm)
> Universidade Federal Fluminense
> Linux User #425466 (counter.li.org)
> Debian GNU/Linux
> --
> Interessado em aprender mais sobre o Ubuntu em português?
> http://wiki.ubuntu-br.org/ComeceAqui  -
> ubuntu-br mailing list
> ubuntu-br em lists.ubuntu.com
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>



-- 
Williams - ff9will em gmail.com
Visite meu blog - http://omnixonline.blogspot.com
Omnix, O Ubuntu brasileiro



More information about the ubuntu-br mailing list